# getType

abstract fun getType(): String

An identifier for the type of project this spec will generate.

This will be used to allow the user to select a project type when running the `init` task non-interactively by supplying the `--type` parameter to the init task.

Each project type can be registered to only a single BuildInitGenerator.

#### Return

type id for this type of project

#### Since

8.12